package com.shcd.service.impl;

import com.shanghaigeography.Util.DateUtils;
import com.shcd.mapper.PortDrawFlashMapper;
import com.shcd.service.PortDrawFlashService;
import com.xxl.job.core.biz.model.ReturnT;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Slf4j
@Service
public class PortDrawFlashServiceImpl implements PortDrawFlashService {

    @Resource
    PortDrawFlashMapper portDrawFlashMapper;

    @Override
    public ReturnT<String> flashData() {
        List<String> drawIds = portDrawFlashMapper.getAllNeedRemoveData();
        if (drawIds.isEmpty()){
            log.info(DateUtils.dateToString(new Date(), "yyyy-MM-dd HH:mm:SS") + "不需要移除港区陆域数据");
            return ReturnT.SUCCESS;
        }else {
            log.info(DateUtils.dateToString(new Date(), "yyyy-MM-dd HH:mm:SS") + "移除的港区陆域数据为{}", drawIds);
            portDrawFlashMapper.removeAllByIds(drawIds);
            return ReturnT.SUCCESS;
        }
    }
}
